<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.fire.mapper.PatrolInspectionRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.fire.domain.PatrolInspectionRecord">
        <id column="id" property="id" />
        <result column="site_nubmber" property="siteNubmber" />
        <result column="site_type" property="siteType" />
        <result column="area_name" property="areaName" />
        <result column="site_name" property="siteName" />
        <result column="name" property="name" />
        <result column="phone" property="phone" />
        <result column="plan_type" property="planType" />
        <result column="site_status" property="siteStatus" />
        <result column="longitude" property="longitude" />
        <result column="latitude" property="latitude" />
        <result column="start_date" property="startDate" />
        <result column="end_date" property="endDate" />
        <result column="create_time" property="createTime" />
        <result column="plan_id" property="planId" />
        <result column="plan_son_id" property="planSonId" />
        <result column="site_id" property="siteId" />
        <result column="tenant_id" property="tenantId" />
        <result column="company_id" property="companyId" />
        <result column="remarks" property="remarks" />
        <result column="route_id" property="routeId" />
    </resultMap>

</mapper>
